#!/usr/bin/perl

require 5.000 ;	# This is a perl 5.0 script

require MDL_sdf ;

my $record = 0 ;

while( 1 )
{
	my $sdf = MDL_sdf->readFromInput() ;
	defined $sdf || last ;
	$record ++ ;
	$sdf->remove_fieldName("Formula") ;
	$sdf->write() ;
	$sdf->remove_all_fields() ;
	$sdf->write() ;
}

printf STDERR "rec. %4d\n", $record ;
